// -*- c++ -*-

#ifndef KVNCCONNECTDLG_H
#define KVNCCONNECTDLG_H

#include <kdialogbase.h>
#include <qspinbox.h>
#include <qcombobox.h>

class KRFBConnection;

class KVNCConnectDlg : public KDialogBase
{
  Q_OBJECT

public: 
  KVNCConnectDlg( KRFBConnection *con,
		  QWidget *parent = 0, const char *name = 0 );

  QString hostname() { return hostNameCombo->currentText(); };
  int display() { return displayNumberEdit->value(); };
 
private slots: 
  void slotOk();
  void slotUser1();

private:
  QComboBox *hostNameCombo;
  QSpinBox *displayNumberEdit;
  KRFBConnection *con;
};

#endif // KVNCCONNECTDLG_H
